import bcp_log
import db_create
import db_run
import plac


class DBTools:
    commands = ['create', 'logs', 'run']

    @plac.pos('config_file', '', type=str)
    def create(self, config_file='dbtools/OPTIMA.json'):
        db_create.create(config_file)

    @plac.pos('system', '', type=str)
    def logs(self, system):
        bcp_log.check_directory(system)

    @plac.pos('system', '', type=str)
    def run(self, system):
        db_run.run(system)


if __name__ == '__main__':
    plac.Interpreter.call(DBTools)
